(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/material/form-field'), require('@wizdm/stripe/elements'), require('@angular/core'), require('rxjs')) :
    typeof define === 'function' && define.amd ? define('@wizdm/stripe/material', ['exports', '@angular/material/form-field', '@wizdm/stripe/elements', '@angular/core', 'rxjs'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.wizdm = global.wizdm || {}, global.wizdm.stripe = global.wizdm.stripe || {}, global.wizdm.stripe.material = {}), global.ng.material.formField, global.wizdm.stripe.elements, global.ng.core, global.rxjs));
}(this, (function (exports, formField, elements, core, rxjs) { 'use strict';

    /**
     * MatFormFieldControl implementation for StripeElement
     */
    var StripeMaterialDirective = /** @class */ (function () {
        function StripeMaterialDirective(element) {
            this.element = element;
            this.stateChanges = rxjs.merge(element.readyChange, element.focusChange, element.blurChange, element.valueChange);
        }
        Object.defineProperty(StripeMaterialDirective.prototype, "value", {
            /** The value of the control. */
            get: function () { return this.element.value || null; },
            enumerable: false,
            configurable: true
        });
        ;
        Object.defineProperty(StripeMaterialDirective.prototype, "focused", {
            /** Whether the control is focused. */
            get: function () { return this.element.focused; },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(StripeMaterialDirective.prototype, "empty", {
            /** Whether the control is empty. */
            get: function () { return !this.element.empty; },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(StripeMaterialDirective.prototype, "disabled", {
            /** Whether the control is disabled. */
            get: function () { return this.element.disabled; },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(StripeMaterialDirective.prototype, "shouldLabelFloat", {
            /** Whether the `MatFormField` label should try to float. */
            get: function () { return true; },
            enumerable: false,
            configurable: true
        });
        ;
        Object.defineProperty(StripeMaterialDirective.prototype, "errorState", {
            /** Whether the control is in an error state. */
            get: function () {
                var value = this.element.value;
                return !!value && !!value.error;
            },
            enumerable: false,
            configurable: true
        });
        ;
        /** Sets the list of element IDs that currently describe this control. */
        StripeMaterialDirective.prototype.setDescribedByIds = function (ids) { };
        /** Handles a click on the control's container. */
        StripeMaterialDirective.prototype.onContainerClick = function (event) {
            this.element.focus();
        };
        ;
        return StripeMaterialDirective;
    }());
    StripeMaterialDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[matStripe]',
                    host: { 'class': 'wm-stripe-material' },
                    providers: [
                        { provide: formField.MatFormFieldControl, useExisting: core.forwardRef(function () { return StripeMaterialDirective; }) }
                    ]
                },] }
    ];
    /** @nocollapse */
    StripeMaterialDirective.ctorParameters = function () { return [
        { type: elements.StripeElementDirective }
    ]; };

    var StripeMaterialModule = /** @class */ (function () {
        function StripeMaterialModule() {
        }
        return StripeMaterialModule;
    }());
    StripeMaterialModule.decorators = [
        { type: core.NgModule, args: [{
                    imports: [],
                    declarations: [StripeMaterialDirective],
                    exports: [StripeMaterialDirective]
                },] }
    ];

    /**
     * Generated bundle index. Do not edit.
     */

    exports.StripeMaterialDirective = StripeMaterialDirective;
    exports.StripeMaterialModule = StripeMaterialModule;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=wizdm-stripe-material.umd.js.map
