import { InjectionToken } from '@angular/core';
import { Observable } from 'rxjs';
import { StripeService } from '@wizdm/stripe';
import type { StripeElementsOptions, StripeElementLocale, StripeElementType } from '@stripe/stripe-js';
import type { StripeElement, StripeElementOptions } from './generic-types';
/** StripeElementsModule configuration token */
export declare const STRIPE_ELEMENTS_OPTIONS: InjectionToken<StripeElementsOptions>;
/** Relays the Elements funcitons enabling dynamic locale */
export declare class StripeElementsDirective {
    private locale$;
    private elements$;
    constructor(stripe: StripeService, options: StripeElementsOptions);
    /** The Elements locale to use. The locale is automatically detected when undefined */
    set StripeElements(locale: StripeElementLocale);
    /** Creates a Stripe Element of the given type using the given locale and options */
    create<T extends StripeElementType>(elementType: T, options?: StripeElementOptions<T>): Observable<StripeElement<T>>;
}
