import { StripeElementsDirective, StripeElementDirective, StripeControlDirective } from '@wizdm/stripe/elements';
import { OnInit, OnChanges, ElementRef } from '@angular/core';
import type { StripeIbanElementOptions, StripeElementStyleVariant } from '@stripe/stripe-js';
/** Bridge with the Angular's form API */
export declare class StripeIbanControl extends StripeControlDirective<'iban'> {
}
/** Stripe IBAN Element for Angular */
export declare class StripeIban extends StripeElementDirective<'iban'> implements OnInit, OnChanges {
    private ref;
    constructor(elements: StripeElementsDirective, ref: ElementRef<HTMLElement>);
    get disabled(): boolean;
    disable(disabled: boolean): void;
    ngOnInit(): void;
    ngOnChanges(): void;
    /** Element's custom base style.
     * @see https://stripe.com/docs/js/appendix/style
     * Setting this input value to 'auto' enables the automatic detection of the element's style */
    set styleBase(value: StripeElementStyleVariant | 'auto');
    /** Element's custom complete style.
     * @see https://stripe.com/docs/js/appendix/style */
    set styleComplete(value: StripeElementStyleVariant);
    /** Element's custom empty style.
     * @see https://stripe.com/docs/js/appendix/style */
    styleEmpty(value: StripeElementStyleVariant): void;
    /** Element's custom invalid style.
     * @see https://stripe.com/docs/js/appendix/style */
    styleInvalid(value: StripeElementStyleVariant): void;
    /** Supported countries */
    set supportedCountries(value: string[]);
    /** Placeholder country */
    set placeholderCountry(value: string);
    /** Hides the card icon */
    set hideIcon(value: boolean);
    /** Selects the icon style */
    set iconStyle(value: StripeIbanElementOptions['iconStyle']);
    /** Disables the element */
    set disabled(value: boolean);
}
