import { MatFormFieldControl } from '@angular/material/form-field';
import { StripeElementDirective } from '@wizdm/stripe/elements';
import { NgControl } from '@angular/forms';
import { Observable } from 'rxjs';
/**
 * MatFormFieldControl implementation for StripeElement
 */
export declare class StripeMaterialDirective implements MatFormFieldControl<any> {
    readonly element: StripeElementDirective<any>;
    constructor(element: StripeElementDirective<any>);
    /** The value of the control. */
    get value(): any | null;
    /**
     * Stream that emits whenever the state of the control changes such that the parent `MatFormField`
     * needs to run change detection.
     */
    readonly stateChanges: Observable<void>;
    /** The element ID for this control. */
    readonly id: string;
    /** The placeholder for this control. */
    readonly placeholder: string;
    /** Gets the NgControl for this control. */
    readonly ngControl: NgControl | null;
    /** Whether the control is focused. */
    get focused(): boolean;
    /** Whether the control is empty. */
    get empty(): boolean;
    /** Whether the control is disabled. */
    get disabled(): boolean;
    /** Whether the `MatFormField` label should try to float. */
    get shouldLabelFloat(): boolean;
    /** Whether the control is required. */
    readonly required: boolean;
    /** Whether the control is in an error state. */
    get errorState(): boolean;
    /** Sets the list of element IDs that currently describe this control. */
    setDescribedByIds(ids: string[]): void;
    /** Handles a click on the control's container. */
    onContainerClick(event: MouseEvent): void;
}
